---
title: Sharing logs with support
description: How to report bugs and share the logs from your Ente Photos app
---

# Sharing debug logs

In some cases when you report an issue, our customer support might request you
to share debug logs from your app to help our developers find the issue.

Note that the debug logs contain potentially sensitive information like the file
names, so please feel free to not share them if you have any hesitation or want
to keep these private. We will try to diagnose the issue even without the logs,
the logs just make the process a bit faster and easier.

## Mobile

- Open settings (tap on the three horizontal lines button).
- Tap on _Support_ from the settings.
- Select for the option to _Report a Bug_.
- Tap on _Report a bug_.

## Desktop and Web

- Open settings (click on the three horizontal lines button located at the top
  left corner of the screen).
- Click on the _Help_ option towards the bottom of settings.
- Click on _View logs_. This will show you the location of the logs on your
  system (desktop), or download them from the browser onto your computer (web).
- Go back to settings.
- Click on _Support_. This will open your email client where you can attach the
  logs in the email and describe the issue.

## Desktop

On the desktop app, you can also directly view the logs on your computer at the
following locations:

- macOS: `~/Library/Logs/ente/ente.log`
- Linux: `~/.config/ente/logs/ente.log`
- Windows: `%USERPROFILE%\AppData\Roaming\ente\logs\ente.log`

## Send email manually

If _Report a bug_ or _Support_ doesn't automatically open your email client, you
can also directly send a mail to <a
href="mailto:support@ente.io">support@ente.io</a>.
